<?php
namespace FiloBlu\Flow\Model\Connector;

/**
 * Class AbstractConnector
 * @package FiloBlu\Flow\Model\Connector
 */
abstract class AbstractConnector {

    /**
     * @var string
     */
    protected $_mask;

    /**
     * @var
     */
    protected $_config;

    /**
    * @var \Monolog\Logger
    */
    protected $_logger;

    /**
     * @var
     */
    protected $connection;

    /**
     * AbstractConnector constructor.
     * @param \FiloBlu\Flow\Helper\LoggerProvider $loggerProvider
     */
    public function __construct(\FiloBlu\Flow\Helper\LoggerProvider $loggerProvider){
        $this->_logger = $loggerProvider->getLogger();
    }

    /**
     * @return mixed
     */
    public function getResources()
    {

    }

    /**
     * @return mixed
     */
    public function getConnection()
    {

    }

    /**
     * @return mixed
     */
     protected function fetchResources()
     {

     }

    /**
     *
     */
    protected function init()
    {

    }

    /**
     * @param $mask
     */
    public function setMask($mask)
    {
        $this->_mask = $mask;
    }

    /**
     * @param $config
     */
    public function setConfig($config)
    {
        $this->_config = $config;
    }

    /**
     * @return mixed
     */
    public function getConfig()
    {
        return $this->_config;
    }
}
